This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 882000 - (CVE-2012-6149) CVE-2012-6149 Satellite, Spacewalk (spacewalk-java): XSS in system.addNote XML-RPC call due improper sanitization of note's subject and content
CVE-2012-6149 Satellite, Spacewalk (spacewalk-java): XSS in system.addNote XM...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
Lukas Pramuk
impact=moderate,public=20140210,repor...
: Security
Depends On: 1022687
Blocks: 883016 915998 1011743
  Show dependency treegraph
 
Reported: 2012-11-29 18:00 EST by Ben Ford
Modified: 2016-03-04 06:06 EST (History)
13 users (show)

See Also:
Fixed In Version: spacewalk-java-2.0.2-57-sat
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-11 08:09:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 4 Jan Lieskovsky 2012-12-03 10:21:37 EST
A cross-site scripting (XSS) flaw was found in the way the web interface of Red Hat Network Satellite / Spacewalk performed sanitization of note's subject and note's content values, for a note being added after system.addNote() XML-RPC request. A remote authenticated Red Hat Network Satellite / Spacewalk user (having systems registered to particular Red Hat Network Satellite / Spacewalk instance) could use this flaw to execute arbitrary HTML or web script, via specially-crafted XML-RPC request, in the context of the session of Red Hat Network Satellite / Spacewalk administrator, if they visited the page, created as a result of that XML-RPC call.
Comment 5 Jan Lieskovsky 2012-12-10 12:53:18 EST
Acknowledgements:

Red Hat would like to thank Ben Ford of Puppet Labs for reporting this issue.
Comment 11 errata-xmlrpc 2014-02-10 12:32:57 EST
This issue has been addressed in following products:

  Red Hat Satellite Server v 5.6

Via RHSA-2014:0148 https://rhn.redhat.com/errata/RHSA-2014-0148.html

Note You need to log in before you can comment on or make changes to this bug.